Name:           compiz-manager
Version:        0.6.0
Release:        4%{?dist}
Summary:        A wrapper script to start compiz with proper options

Group:          Applications/System
License:        GPLv2+
URL:            http://www.opencompositing.org/
Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.gz
Source1:        compiz-manager.license
Patch0:         compiz-manager-0.6.0.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
# compiz is not available on ppc64
ExcludeArch:    ppc64

Requires:       compiz
Requires:       libcompizconfig
Requires:       xorg-x11-utils
Requires:       pciutils
Requires:       glx-utils


%description
This script will detect what options we need to pass to compiz to get it 
started, and start a default plugin and possibly window decorator.

%prep
%setup -q
%patch0 -p0

cp -p %{SOURCE1} COPYING

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_bindir}/
cp -p compiz-manager %{buildroot}/%{_bindir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/compiz-manager

%changelog
* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.0-4
- update patch: recognize corrected driver path

* Thu Oct 25 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.0-3
- keep timestamp also of COPYING
- Update patch: always use kwin as fallback in KDE_FULL_SESSION

* Wed Oct 24 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.0-2
- update patch: differ between different archs
- update patch: don't hardcode the libGl versions
- update patch: add description why not ot use emerald by default
- add requires: xorg-x11-utils
- add requires: pci-utils
- add requires: glx-utils
- add ExcludeArch for ppc64 because compiz isn't available there
- keep timestamp of compiz-manager


* Sun Oct 21 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.0-1
- Initial Release for Fedora
- Usage of description and summary from SUSE's package
- Include COPYING as extras source
